Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataObject Class Reference

`#include <vtkDataObject.h>`

Inheritance diagram for vtkDataObject:

[legend]
Collaboration diagram for vtkDataObject:

[legend]
List of all members.

## Detailed Description

general representation of visualization data

Date:
  2002/11/12 19:21:02

Revision:
  1.68

vtkDataObject is an general representation of visualization data. It serves to encapsulate instance variables and methods for visualization network execution, as well as representing data consisting of a field (i.e., just an unstructured pile of data). This is to be compared with a vtkDataSet, which is data with geometric and/or topological structure.

vtkDataObjects are used to represent arbitrary repositories of data via the vtkFieldData instance variable. These data must be eventually mapped into a concrete subclass of vtkDataSet before they can actually be displayed.

See also:
  vtkDataSet vtkFieldData vtkDataObjectSource vtkDataObjectFilter vtkDataObjectMapper vtkDataObjectToDataSet vtkFieldDataToAttributeDataFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Law, Charles (53%)
  - Schroeder, Will (17%)
  - Martin, Ken (15%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkDataObject.h)`
  - .`cxx` (`/Common/vtkDataObject.cxx)`

Definition at line 63 of file vtkDataObject.h.

## [NOHEADER]
void | GlobalReleaseDataFlagOn ()
void | GlobalReleaseDataFlagOff ()
void | SetGlobalReleaseDataFlag (int val)
int | GetGlobalReleaseDataFlag ()
## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkDataObject * | MakeObject ()
unsigned long int | GetMTime ()
virtual void | Initialize ()
void | ReleaseData ()
int | ShouldIReleaseData ()
virtual void | UnRegister (vtkObjectBase *o)
virtual int | GetNetReferenceCount ()
virtual void | Update ()
virtual void | UpdateInformation ()
virtual void | PropagateUpdateExtent ()
virtual void | TriggerAsynchronousUpdate ()
virtual void | UpdateData ()
virtual unsigned long | GetEstimatedMemorySize ()
virtual int | GetDataObjectType ()
unsigned long | GetUpdateTime ()
void | SetUpdateExtentToWholeExtent ()
void | SetPipelineMTime (unsigned long time)
virtual unsigned long | GetPipelineMTime ()
virtual unsigned long | GetActualMemorySize ()
void | CopyInformation (vtkDataObject *data)
void | DataHasBeenGenerated ()
virtual void | PrepareForNewData ()
virtual vtkSource * | GetSource ()
void | SetSource (vtkSource *s)
virtual int | GetDataReleased ()
virtual void | SetReleaseDataFlag (int)
virtual int | GetReleaseDataFlag ()
virtual void | ReleaseDataFlagOn ()
virtual void | ReleaseDataFlagOff ()
virtual void | SetFieldData (vtkFieldData *)
virtual vtkFieldData * | GetFieldData ()
virtual void | SetUpdateExtent (int vtkNotUsed(piece), int vtkNotUsed(numPieces), int vtkNotUsed(ghostLevel))
void | SetUpdateExtent (int piece, int numPieces)
virtual void | SetUpdateExtent (int x1, int x2, int y1, int y2, int z1, int z2)
virtual void | SetUpdateExtent (int ext[6])
virtual int * | GetUpdateExtent ()
virtual void | GetUpdateExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetUpdateExtent (int[6])
virtual void | CopyTypeSpecificInformation (vtkDataObject *data)
void | SetUpdatePiece (int piece)
void | SetUpdateNumberOfPieces (int num)
virtual int | GetUpdatePiece ()
virtual int | GetUpdateNumberOfPieces ()
void | SetUpdateGhostLevel (int level)
virtual int | GetUpdateGhostLevel ()
void | SetRequestExactExtent (int v)
virtual int | GetRequestExactExtent ()
virtual void | RequestExactExtentOn ()
virtual void | RequestExactExtentOff ()
virtual void | SetWholeExtent (int, int, int, int, int, int)
virtual void | SetWholeExtent (int[6])
virtual int * | GetWholeExtent ()
virtual void | GetWholeExtent (int &, int &, int &, int &, int &, int &)
virtual void | GetWholeExtent (int[6])
virtual void | SetMaximumNumberOfPieces (int)
virtual int | GetMaximumNumberOfPieces ()
virtual void | ShallowCopy (vtkDataObject *src)
virtual void | DeepCopy (vtkDataObject *src)
virtual void | SetLocality (float)
virtual float | GetLocality ()
void | SetExtentTranslator (vtkExtentTranslator *translator)
vtkExtentTranslator * | GetExtentTranslator ()
virtual int | GetNumberOfConsumers ()
void | AddConsumer (vtkObject *c)
void | RemoveConsumer (vtkObject *c)
vtkObject * | GetConsumer (int i)
int | IsConsumer (vtkObject *c)
## Static Public Methods
vtkDataObject * | New ()
int | IsTypeOf (const char *type)
vtkDataObject * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataObject ()
| ~vtkDataObject ()
int | UpdateExtentIsOutsideOfTheExtent ()
int | UpdateExtentIsEmpty ()
virtual int | VerifyUpdateExtent ()
virtual int | GetExtentType ()
virtual void | Crop ()
## Protected Attributes
vtkFieldData * | FieldData
vtkSource * | Source
int | DataReleased
int | NumberOfConsumers
vtkObject ** | Consumers
int | WholeExtent [6]
int | Extent [6]
int | UpdateExtent [6]
unsigned char | UpdateExtentInitialized
vtkExtentTranslator * | ExtentTranslator
int | NumberOfPieces
int | Piece
int | MaximumNumberOfPieces
int | UpdateNumberOfPieces
int | UpdatePiece
int | RequestExactExtent
int | GhostLevel
int | UpdateGhostLevel
int | ReleaseDataFlag
vtkTimeStamp | UpdateTime
unsigned long | PipelineMTime
int | LastUpdateExtentWasOutsideOfTheExtent
float | Locality

## Member Typedef Documentation

typedef vtkObject vtkDataObject::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkStructuredPoints, vtkUnstructuredGrid, vtkPiecewiseFunction, vtkImageCanvasSource2D, and vtkImageStencilData. Definition at line 68 of file vtkDataObject.h.

## Constructor & Destructor Documentation

vtkDataObject::vtkDataObject | ( |  | ) | `[protected]`

vtkDataObject::~vtkDataObject | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataObject* vtkDataObject::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkImageData, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkStructuredPoints, vtkUnstructuredGrid, vtkPiecewiseFunction, vtkImageCanvasSource2D, and vtkImageStencilData.

virtual const char* vtkDataObject::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkStructuredPoints, vtkUnstructuredGrid, vtkPiecewiseFunction, vtkImageCanvasSource2D, and vtkImageStencilData.

int vtkDataObject::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkStructuredPoints, vtkUnstructuredGrid, vtkPiecewiseFunction, vtkImageCanvasSource2D, and vtkImageStencilData.

virtual int vtkDataObject::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkStructuredPoints, vtkUnstructuredGrid, vtkPiecewiseFunction, vtkImageCanvasSource2D, and vtkImageStencilData.

vtkDataObject* vtkDataObject::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkStructuredPoints, vtkUnstructuredGrid, vtkPiecewiseFunction, vtkImageCanvasSource2D, and vtkImageStencilData.

void vtkDataObject::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkUnstructuredGrid, vtkPiecewiseFunction, vtkImageCanvasSource2D, and vtkImageStencilData.

virtual vtkDataObject* vtkDataObject::MakeObject | ( |  | ) | `[virtual]`

| For legacy compatibility. Do not use. Reimplemented in vtkImageStencilData.

virtual vtkSource* vtkDataObject::GetSource | ( |  | ) | `[virtual]`

| Set/Get the source object creating this data object.

void vtkDataObject::SetSource | ( | vtkSource * | s | ) |

| Set/Get the source object creating this data object.

unsigned long int vtkDataObject::GetMTime | ( |  | ) | `[virtual]`

| Data objects are composite objects and need to check each part for MTime. The information object also needs to be considered. Reimplemented from vtkObject. Reimplemented in vtkDataSet, vtkPointSet, and vtkPiecewiseFunction.

virtual void vtkDataObject::Initialize | ( |  | ) | `[virtual]`

| Reimplemented in vtkDataSet, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkUnstructuredGrid, vtkPiecewiseFunction, and vtkImageStencilData.

void vtkDataObject::ReleaseData | ( |  | ) |

| Release data back to system to conserve memory resource. Used during visualization network execution. Releasing this data does not make down-stream data invalid, so it does not modify the MTime of this data object.

int vtkDataObject::ShouldIReleaseData | ( |  | ) |

| Return flag indicating whether data should be released after use by a filter.

virtual int vtkDataObject::GetDataReleased | ( |  | ) | `[virtual]`

| Get the flag indicating the data has been released.

virtual void vtkDataObject::SetReleaseDataFlag | ( | int |  | ) | `[virtual]`

| Turn on/off flag to control whether this object's data is released after being used by a filter.

virtual int vtkDataObject::GetReleaseDataFlag | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether this object's data is released after being used by a filter.

virtual void vtkDataObject::ReleaseDataFlagOn | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether this object's data is released after being used by a filter.

virtual void vtkDataObject::ReleaseDataFlagOff | ( |  | ) | `[virtual]`

| Turn on/off flag to control whether this object's data is released after being used by a filter.

void vtkDataObject::SetGlobalReleaseDataFlag | ( | int | val | ) | `[static]`

| Turn on/off flag to control whether every object releases its data after being used by a filter.

void vtkDataObject::GlobalReleaseDataFlagOn | ( |  | ) | `[inline]`

| Definition at line 117 of file vtkDataObject.h.

void vtkDataObject::GlobalReleaseDataFlagOff | ( |  | ) | `[inline]`

| Definition at line 118 of file vtkDataObject.h.

int vtkDataObject::GetGlobalReleaseDataFlag | ( |  | ) | `[static]`

virtual void vtkDataObject::SetFieldData | ( | vtkFieldData * |  | ) | `[virtual]`

| Assign or retrieve field data to this data object.

virtual vtkFieldData* vtkDataObject::GetFieldData | ( |  | ) | `[virtual]`

| Assign or retrieve field data to this data object.

virtual void vtkDataObject::UnRegister | ( | vtkObjectBase * | o | ) | `[virtual]`

| Decrease the reference count (release by another object). This has the same effect as invoking Delete() (i.e., it reduces the reference count by 1). Reimplemented from vtkObject. Reimplemented in vtkPointSet.

virtual int vtkDataObject::GetNetReferenceCount | ( |  | ) | `[inline, virtual]`

| Get the net reference count. That is the count minus any self created loops. This is used in the Source/Data registration to properly free the objects. Reimplemented in vtkPointSet. Definition at line 134 of file vtkDataObject.h.

virtual void vtkDataObject::Update | ( |  | ) | `[virtual]`

| Provides opportunity for the data object to insure internal consistency before access. Also causes owning source/filter (if any) to update itself. The Update() method is composed of UpdateInformation(), PropagateUpdateExtent(), TriggerAsynchronousUpdate(), and UpdateData().

virtual void vtkDataObject::UpdateInformation | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY. Update all the "easy to update" information about the object such as the extent which will be used to control the update. This propagates all the way up then back down the pipeline. As a by-product the PipelineMTime is updated.

virtual void vtkDataObject::PropagateUpdateExtent | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY. The update extent for this object is propagated up the pipeline. This propagation may early terminate based on the PipelineMTime. Reimplemented in vtkImageStencilData.

virtual void vtkDataObject::TriggerAsynchronousUpdate | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY. Propagate back up the pipeline for ports and trigger the update on the other side of the port to allow for asynchronous parallel processing in the pipeline. This propagation may early terminate based on the PipelineMTime. Reimplemented in vtkImageStencilData.

virtual void vtkDataObject::UpdateData | ( |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT FOR GENERAL USE. THIS METHOD IS PART OF THE PIPELINE UPDATE FUNCTIONALITY. Propagate the update back up the pipeline, and perform the actual work of updating on the way down. When the propagate arrives at a port, block and wait for the asynchronous update to finish on the other side. This propagation may early terminate based on the PipelineMTime. Reimplemented in vtkImageData, vtkRectilinearGrid, vtkStructuredGrid, and vtkImageStencilData.

virtual unsigned long vtkDataObject::GetEstimatedMemorySize | ( |  | ) | `[virtual]`

| Get the estimated size of this data object itself. Should be called after UpdateInformation() and PropagateUpdateExtent() have both been called. Should be overridden in a subclass - otherwise the default is to assume that this data object requires no memory. The size is returned in kilobytes. Reimplemented in vtkImageData.

virtual void vtkDataObject::SetUpdateExtent | ( | int | vtkNotUsed(piece),
|  | int | vtkNotUsed(numPieces),
|  | int | vtkNotUsed(ghostLevel)
| ) | `[inline, virtual]`

| A generic way of specifying an update extent. Subclasses must decide what a piece is. When the NumberOfPieces is zero, then no data is requested, and the source will not execute. Definition at line 182 of file vtkDataObject.h. Referenced by vtkUnstructuredGrid::SetUpdateExtent(), vtkStructuredGrid::SetUpdateExtent(), vtkRectilinearGrid::SetUpdateExtent(), vtkPolyData::SetUpdateExtent(), and vtkImageData::SetUpdateExtent().

void vtkDataObject::SetUpdateExtent | ( | int | piece,
|  | int | numPieces
| ) | `[inline]`

| A generic way of specifying an update extent. Subclasses must decide what a piece is. When the NumberOfPieces is zero, then no data is requested, and the source will not execute. Reimplemented in vtkImageData, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, and vtkUnstructuredGrid. Definition at line 185 of file vtkDataObject.h.

virtual void vtkDataObject::SetUpdateExtent | ( | int | x1,
|  | int | x2,
|  | int | y1,
|  | int | y2,
|  | int | z1,
|  | int | z2
| ) | `[virtual]`

| Set the update extent for data objects that use 3D extents. Using this method on data objects that set extents as pieces (such as vtkPolyData or vtkUnstructuredGrid) has no real effect. Don't use the set macro to set the update extent since we don't want this object to be modified just due to a change in update extent. When the volume of the extent is zero (0, -1,..), then no data is requested, and the source will not execute. Reimplemented in vtkImageData, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, and vtkUnstructuredGrid.

virtual void vtkDataObject::SetUpdateExtent | ( | int | ext[6] | ) | `[virtual]`

| Set the update extent for data objects that use 3D extents. Using this method on data objects that set extents as pieces (such as vtkPolyData or vtkUnstructuredGrid) has no real effect. Don't use the set macro to set the update extent since we don't want this object to be modified just due to a change in update extent. When the volume of the extent is zero (0, -1,..), then no data is requested, and the source will not execute. Reimplemented in vtkImageData, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, and vtkUnstructuredGrid.

virtual int* vtkDataObject::GetUpdateExtent | ( |  | ) | `[virtual]`

| Set the update extent for data objects that use 3D extents. Using this method on data objects that set extents as pieces (such as vtkPolyData or vtkUnstructuredGrid) has no real effect. Don't use the set macro to set the update extent since we don't want this object to be modified just due to a change in update extent. When the volume of the extent is zero (0, -1,..), then no data is requested, and the source will not execute. Reimplemented in vtkPolyData, and vtkUnstructuredGrid.

virtual void vtkDataObject::GetUpdateExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set the update extent for data objects that use 3D extents. Using this method on data objects that set extents as pieces (such as vtkPolyData or vtkUnstructuredGrid) has no real effect. Don't use the set macro to set the update extent since we don't want this object to be modified just due to a change in update extent. When the volume of the extent is zero (0, -1,..), then no data is requested, and the source will not execute. Reimplemented in vtkPolyData, and vtkUnstructuredGrid.

virtual void vtkDataObject::GetUpdateExtent | ( | int | [6] | ) | `[virtual]`

| Set the update extent for data objects that use 3D extents. Using this method on data objects that set extents as pieces (such as vtkPolyData or vtkUnstructuredGrid) has no real effect. Don't use the set macro to set the update extent since we don't want this object to be modified just due to a change in update extent. When the volume of the extent is zero (0, -1,..), then no data is requested, and the source will not execute. Reimplemented in vtkPolyData, and vtkUnstructuredGrid.

virtual int vtkDataObject::GetDataObjectType | ( |  | ) | `[inline, virtual]`

| Return class name of data type. This is one of VTK_STRUCTURED_GRID, VTK_STRUCTURED_POINTS, VTK_UNSTRUCTURED_GRID, VTK_POLY_DATA, or VTK_RECTILINEAR_GRID (see vtkSetGet.h for definitions). THIS METHOD IS THREAD SAFE Reimplemented in vtkDataSet, vtkImageData, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkStructuredPoints, vtkUnstructuredGrid, vtkPiecewiseFunction, and vtkImageStencilData. Definition at line 206 of file vtkDataObject.h. References VTK_DATA_OBJECT.

unsigned long vtkDataObject::GetUpdateTime | ( |  | ) |

| Used by Threaded ports to determine if they should initiate an asynchronous update (still in development).

void vtkDataObject::SetUpdateExtentToWholeExtent | ( |  | ) |

| If the whole input extent is required to generate the requested output extent, this method can be called to set the input update extent to the whole input extent. This method assumes that the whole extent is known (that UpdateInformation has been called)

void vtkDataObject::SetPipelineMTime | ( | unsigned long | time | ) | `[inline]`

| Definition at line 218 of file vtkDataObject.h.

virtual unsigned long vtkDataObject::GetPipelineMTime | ( |  | ) | `[virtual]`

virtual unsigned long vtkDataObject::GetActualMemorySize | ( |  | ) | `[virtual]`

| Return the actual size of the data in kilobytes. This number is valid only after the pipeline has updated. The memory size returned is guaranteed to be greater than or equal to the memory required to represent the data (e.g., extra space in arrays, etc. are not included in the return value). Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, and vtkUnstructuredGrid.

void vtkDataObject::CopyInformation | ( | vtkDataObject * | data | ) |

| Copy the generic information (WholeExtent ...)

virtual void vtkDataObject::CopyTypeSpecificInformation | ( | vtkDataObject * | data | ) | `[inline, virtual]`

| By default, there is no type specific information Reimplemented in vtkImageData. Definition at line 233 of file vtkDataObject.h.

void vtkDataObject::SetUpdatePiece | ( | int | piece | ) |

| Set / Get the update piece and the update number of pieces. Similar to update extent in 3D.

void vtkDataObject::SetUpdateNumberOfPieces | ( | int | num | ) |

| Set / Get the update piece and the update number of pieces. Similar to update extent in 3D.

virtual int vtkDataObject::GetUpdatePiece | ( |  | ) | `[virtual]`

| Set / Get the update piece and the update number of pieces. Similar to update extent in 3D.

virtual int vtkDataObject::GetUpdateNumberOfPieces | ( |  | ) | `[virtual]`

| Set / Get the update piece and the update number of pieces. Similar to update extent in 3D.

void vtkDataObject::SetUpdateGhostLevel | ( | int | level | ) |

| Set / Get the update ghost level and the update number of ghost levels. Similar to update extent in 3D.

virtual int vtkDataObject::GetUpdateGhostLevel | ( |  | ) | `[virtual]`

| Set / Get the update ghost level and the update number of ghost levels. Similar to update extent in 3D.

void vtkDataObject::SetRequestExactExtent | ( | int | v | ) |

| This request flag indicates whether the requester can handle more data than requested. Right now it is used in vtkImageData. Image filters can return more data than requested. The the consumer cannot handle this (i.e. DataSetToDataSetFitler) the image will crop itself. This functionality used to be in ImageToStructuredPoints.

virtual int vtkDataObject::GetRequestExactExtent | ( |  | ) | `[virtual]`

| This request flag indicates whether the requester can handle more data than requested. Right now it is used in vtkImageData. Image filters can return more data than requested. The the consumer cannot handle this (i.e. DataSetToDataSetFitler) the image will crop itself. This functionality used to be in ImageToStructuredPoints.

virtual void vtkDataObject::RequestExactExtentOn | ( |  | ) | `[virtual]`

| This request flag indicates whether the requester can handle more data than requested. Right now it is used in vtkImageData. Image filters can return more data than requested. The the consumer cannot handle this (i.e. DataSetToDataSetFitler) the image will crop itself. This functionality used to be in ImageToStructuredPoints.

virtual void vtkDataObject::RequestExactExtentOff | ( |  | ) | `[virtual]`

| This request flag indicates whether the requester can handle more data than requested. Right now it is used in vtkImageData. Image filters can return more data than requested. The the consumer cannot handle this (i.e. DataSetToDataSetFitler) the image will crop itself. This functionality used to be in ImageToStructuredPoints.

virtual void vtkDataObject::SetWholeExtent | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set/Get the whole extent of this data object. The whole extent is meta data for structured data sets. It gets set by the source during the update information call.

virtual void vtkDataObject::SetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Set/Get the whole extent of this data object. The whole extent is meta data for structured data sets. It gets set by the source during the update information call.

virtual int* vtkDataObject::GetWholeExtent | ( |  | ) | `[virtual]`

| Set/Get the whole extent of this data object. The whole extent is meta data for structured data sets. It gets set by the source during the update information call.

virtual void vtkDataObject::GetWholeExtent | ( | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get the whole extent of this data object. The whole extent is meta data for structured data sets. It gets set by the source during the update information call.

virtual void vtkDataObject::GetWholeExtent | ( | int | [6] | ) | `[virtual]`

| Set/Get the whole extent of this data object. The whole extent is meta data for structured data sets. It gets set by the source during the update information call.

virtual void vtkDataObject::SetMaximumNumberOfPieces | ( | int |  | ) | `[virtual]`

| Set/Get the maximum number of pieces that can be requested. The maximum number of pieces is meta data for unstructured data sets. It gets set by the source during the update information call. A value of -1 indicates that there is no maximum. A value of

virtual int vtkDataObject::GetMaximumNumberOfPieces | ( |  | ) | `[virtual]`

| Set/Get the maximum number of pieces that can be requested. The maximum number of pieces is meta data for unstructured data sets. It gets set by the source during the update information call. A value of -1 indicates that there is no maximum. A value of

void vtkDataObject::DataHasBeenGenerated | ( |  | ) |

| This method is called by the source when it executes to generate data. It is sort of the opposite of ReleaseData. It sets the DataReleased flag to 0, and sets a new UpdateTime.

virtual void vtkDataObject::PrepareForNewData | ( |  | ) | `[inline, virtual]`

| make the output data ready for new data to be inserted. For most objects we just call Initialize. But for vtkImageData we leave the old data in case the memory can be reused. Reimplemented in vtkImageData. Definition at line 289 of file vtkDataObject.h.

virtual void vtkDataObject::ShallowCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. These copy the data, but not any of the pipeline connections. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkUnstructuredGrid, vtkPiecewiseFunction, and vtkImageStencilData.

virtual void vtkDataObject::DeepCopy | ( | vtkDataObject * | src | ) | `[virtual]`

| Shallow and Deep copy. These copy the data, but not any of the pipeline connections. Reimplemented in vtkDataSet, vtkImageData, vtkPointSet, vtkPolyData, vtkRectilinearGrid, vtkStructuredGrid, vtkUnstructuredGrid, vtkPiecewiseFunction, and vtkImageStencilData.

virtual void vtkDataObject::SetLocality | ( | float |  | ) | `[virtual]`

| Locality is used internally by the pipeline update mechanism. It is used to get parralel execution when a filter has multiple inputs with ports upstream.

virtual float vtkDataObject::GetLocality | ( |  | ) | `[virtual]`

| Locality is used internally by the pipeline update mechanism. It is used to get parralel execution when a filter has multiple inputs with ports upstream.

void vtkDataObject::SetExtentTranslator | ( | vtkExtentTranslator * | translator | ) |

| An object that will translate pieces into structured extents.

vtkExtentTranslator* vtkDataObject::GetExtentTranslator | ( |  | ) |

| An object that will translate pieces into structured extents.

virtual int vtkDataObject::GetNumberOfConsumers | ( |  | ) | `[virtual]`

| Get the number of consumers

void vtkDataObject::AddConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

void vtkDataObject::RemoveConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

vtkObject* vtkDataObject::GetConsumer | ( | int | i | ) |

| Add or remove or get or check a consumer,

int vtkDataObject::IsConsumer | ( | vtkObject * | c | ) |

| Add or remove or get or check a consumer,

int vtkDataObject::UpdateExtentIsOutsideOfTheExtent | ( |  | ) | `[protected]`

| Return non zero if the UpdateExtent is outside of the Extent

int vtkDataObject::UpdateExtentIsEmpty | ( |  | ) | `[protected]`

| This detects when the UpdateExtent will generate no data, and UpdateData on the source is not necessary. This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) of the UpdateNumberOfPieces is 0.

virtual int vtkDataObject::VerifyUpdateExtent | ( |  | ) | `[protected, virtual]`

| Default behavior is to make sure that the update extent lies within the whole extent. If it does not, an error condition occurs and this method returns 0. If it is ok, then 1 is returned. Since uninitialized extents are initialized to the whole extent during UpdateInformation() there should not be errors. If a data object subclass wants to try to take care of errors silently, then this method should be overridden.

virtual int vtkDataObject::GetExtentType | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in vtkImageData, vtkRectilinearGrid, vtkStructuredGrid, and vtkImageStencilData. Definition at line 368 of file vtkDataObject.h. References VTK_PIECES_EXTENT.

virtual void vtkDataObject::Crop | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkImageData, vtkPolyData, vtkRectilinearGrid, and vtkStructuredGrid.

## Member Data Documentation

vtkFieldData* vtkDataObject::FieldData`[protected]`

| Definition at line 332 of file vtkDataObject.h.

vtkSource* vtkDataObject::Source`[protected]`

| Definition at line 335 of file vtkDataObject.h.

int vtkDataObject::DataReleased`[protected]`

| Definition at line 338 of file vtkDataObject.h.

int vtkDataObject::NumberOfConsumers`[protected]`

| Definition at line 341 of file vtkDataObject.h.

vtkObject** vtkDataObject::Consumers`[protected]`

| Definition at line 342 of file vtkDataObject.h.

int vtkDataObject::WholeExtent[6]`[protected]`

| Definition at line 373 of file vtkDataObject.h.

int vtkDataObject::Extent[6]`[protected]`

| Definition at line 374 of file vtkDataObject.h.

int vtkDataObject::UpdateExtent[6]`[protected]`

| Definition at line 375 of file vtkDataObject.h.

unsigned char vtkDataObject::UpdateExtentInitialized`[protected]`

| Definition at line 377 of file vtkDataObject.h.

vtkExtentTranslator* vtkDataObject::ExtentTranslator`[protected]`

| Definition at line 379 of file vtkDataObject.h.

int vtkDataObject::NumberOfPieces`[protected]`

| Definition at line 382 of file vtkDataObject.h.

int vtkDataObject::Piece`[protected]`

| Definition at line 383 of file vtkDataObject.h.

int vtkDataObject::MaximumNumberOfPieces`[protected]`

| Definition at line 384 of file vtkDataObject.h.

int vtkDataObject::UpdateNumberOfPieces`[protected]`

| Definition at line 385 of file vtkDataObject.h.

int vtkDataObject::UpdatePiece`[protected]`

| Definition at line 386 of file vtkDataObject.h.

int vtkDataObject::RequestExactExtent`[protected]`

| Definition at line 394 of file vtkDataObject.h.

int vtkDataObject::GhostLevel`[protected]`

| Definition at line 400 of file vtkDataObject.h.

int vtkDataObject::UpdateGhostLevel`[protected]`

| Definition at line 401 of file vtkDataObject.h.

int vtkDataObject::ReleaseDataFlag`[protected]`

| Definition at line 404 of file vtkDataObject.h.

vtkTimeStamp vtkDataObject::UpdateTime`[protected]`

| Definition at line 407 of file vtkDataObject.h.

unsigned long vtkDataObject::PipelineMTime`[protected]`

| Definition at line 411 of file vtkDataObject.h.

int vtkDataObject::LastUpdateExtentWasOutsideOfTheExtent`[protected]`

| Definition at line 414 of file vtkDataObject.h.

float vtkDataObject::Locality`[protected]`

| Definition at line 421 of file vtkDataObject.h.

The documentation for this class was generated from the following file:

- Common/vtkDataObject.h